Currently Being Moderated

I am glad to share my experience on Portal 7.3 Upgrade / Migration project. Let’s start with HR Business Packages (ESS/MSS).

 

Consider/Understand Your Landscape:

As the first step, we have done a home-work on our current and future landscape.

By future landscape, I mean, the team need to consider the landscape at the project Technical Go-live phase. It may happen in the course of Portal Upgrade project, the ECC system will be upgraded to higher SP levels or Ehp level.

 

Our project duration till technical go-live for the new 7.3 Portal is around 6 months time. I want to give you a sense of our landscape.

Current:           Project start

ECC 6.0 SP20

Portal 7.0 SP22

Future:             Project Technical Go-live

ECC 6.0 Ehp5

Portal 7.3 SP7

 

 

SAP's wiki:

http://wiki.sdn.sap.com/wiki/display/ERPHCM/HOW+TO+GET+RID+OF+SP+STACK+MISMATCH+ISSUES

************************************************************

Upgrade to EHP5 and/or NW7.3:

With EHP5 SAP delivers the new WebDynpro ABAP related services. These services can be called directly in NWBC or may be called in the portal with the EHP5 Business Packages.

As these services are WebDynpro ABAP based there is no need for application packages anymore.

 

Be careful if you use EHP5 and still the JAVA based services:

- the EHP5 Business Packages call the WD ABAP services, so if you want to use WD JAVA you need to use EHP4 BPs, even if your backend is on EHP5.

 

Be careful if you use NW 7.3 and still the JAVA based services:

- on NW 7.3 the old JAVA application packages won't run. You need to use the JAVA packages for NW 7.3: ESS 633, MSS 630, PCUI_GP 633

 

The business package for 7.30 based on Web Dynpro ABAP (WDA) is called BPERPESSWDA 1.50.  More about switching to ESS WDA in the SAP Note 1450179 (CA-ESS-WD) ESS Based on Web Dynpro ABAP Available as of EHP5.

 

************************************************************

 

Because, when we started the project the ECC version was ECC 6.0 SP20 and Portal 7.3 SP5, we put ESS 633, MSS 630, PCUI_GP 633. We followed the SAP's wiki and followed the NOTE 1297231.

The SAP Note 1297231 says,

SP Equivalence Levels

EhP4 SPS10 == EhP3 SPS09 == EhP2 SPS10 == SAP ERP 6.0 SPS20

 

 

Now that we had several concerns  while running different xSS scenarios, we wrote to SAP about this.

eg - Travel management scenario was failing. We tried running the “Create Expense Report” iView from ESS Portal content. This iView internally runs the “Expence” WD java dc application.

/sap.com/ess~tra~tre/com.sap.xss.tra.tre.app.expenses.Expenses/base

Reason for failure: There is no ESS WD Java dc component (/sap.com/ess~tra~tre/com.sap.xss.tra.tre.app.expenses.Expenses/base) available with the deployed packages (I mean ESS 633, MSS 630, PCUI_GP 633).

 

 

SAP helped us saying that there are several WD Java applications/ scenarios are not supported with the 633 components (I mean ESS 633, MSS 630, PCUI_GP 633).

Hence, SAP advised us to go with WD ABAP components.

 

Unfortunately, the last Travel Management Web Dynpro JAVA applications supported by SAP belong to the software component SAP ESS 603 and not SAP ESS 633.

SAP ESS 603 is not supported on portal 7.3 and SAP cannot guarantee that it will run.

Hence, we are planning to go for Ehp5 on the backend. And then will go for the WD ABAP components for ESS and MSS.

 

Some more SAP NOTES:

For more information, regarding the migration from WD JAVA to WD ABAP, read the following notes 1076144 and 1255358.

SAP ESS 603 and ECC SP level compatibility, please read the note 1303362.

 

0001076144   ESS trips and expenses: Migration from WD Java to WD ABAP

0001255358   Technology Strategy for ESS Travel and Expenses

0001359937   EHP4: Further considerations for ESS/MSS

 

 

ESS/MSS stack/ SP level mismatch issue:

http://wiki.sdn.sap.com/wiki/display/ERPHCM/HOW+TO+GET+RID+OF+SP+STACK+MISMATCH+ISSUES

 

Comments

Actions

Filter Blog

By author:
By date:
By tag: